Skip to main content
Sitecore Documentation
  • Learn
  • Downloads
  • Changelog
  • Roadmap
PersonalizeCloud Portal
Sitecore Personalize developer documentation
  • Developing with Sitecore Personalize
    • Base URL
    • Response codes
        • Create a flow definition
        • Retrieve flow definitions
        • Retrieve a flow definition
        • Update a flow definition
  1. REST API Flow definition
  1. Sitecore Personalize developer documentation
  2. REST APIs

Retrieve a flow definition

GET /v3/flowDefinitions/<flowDefinitionRef>

Retrieves a flow definition.

AttributeTypeDescriptionExample
flowDefinitionRefstringThe reference of the flow definition.

If you do not know the flow definition reference, first retrieve flow definitions.
ddfa024b-dd69-4e4d-af78-44d6cf0d7bf8
curl -X GET '<baseURL>/v3/flowDefinitions/ddfa024b-dd69-4e4d-af78-44d6cf0d7bf8' \
-H 'Authorization: Bearer <accessToken>' \
-H 'Accept: application/json'
{
  "clientKey": "pqsPERS3lw12v5a9rrHPW1c4hET73GxQ",
  "href": "<baseURL>/v3/flowDefinitions/ddfa024b-dd69-4e4d-af78-44d6cf0d7bf8",
  "ref": "ddfa024b-dd69-4e4d-af78-44d6cf0d7bf8",
  "name": "Alert bar 1",
  "modifiedByRef": "zwxCA58jwLzfeU2mNGgalCpoJzNVYOJl@clients",
  "modifiedAt": "2026-07-04T13:`45:32`.922Z",
  "revision": 1,
  "archived": false,
  "friendlyId": "alert_bar_1",
  "type": "INTERACTIVE_WEB_FLOW",
  "subtype": "EXPERIENCE",
  "channels": [
    "WEB"
  ],
  "triggers": [],
  "tags": [],
  "businessProcess": "interactive_v1",
  "traffic": {
    "type": "simpleTraffic",
    "weightingAlgorithm": "USER_DEFINED",
    "modifiedAt": "2026-07-04T13:`45:32`.922Z",
    "allocation": 100,
    "splits": [],
    "coupled": false
  },
  "variants": [],
  "transpiledVariants": [],
  "status": "DRAFT",
  "schedule": {
    "type": "simpleSchedule",
    "startDate": "2026-07-04T11:`46:41`.810Z"
  },
  "revisions": {
    "href": "<baseURL>/v3/flowDefinitions/ddfa024b-dd69-4e4d-af78-44d6cf0d7bf8/revisions"
  },
  "sampleSizeConfig": {
    "baseValue": 0.02,
    "minimumDetectableDifference": 0.2,
    "confidenceLevel": 0.95
  }
}
If you have suggestions for improving this article, let us know!

Documentation Assistant

This assistant uses AI to generate responses based on Sitecore documentation. While it has access to official sources, answers may be incomplete or inaccurate and should not be considered official advice or support.
Powered by
k
kapa.ai
Protected by reCAPTCHA

© Copyright 2026, Sitecore A/S or a Sitecore affiliated company.
All rights reserved.

Privacy policySitecore Trust CenterTerms of use